From 4d79903dfc24de4c20877a63f761224575132cb4 Mon Sep 17 00:00:00 2001
From: Jitesh Shah <jiteshs@marvell.com>
Date: Thu, 16 Jul 2009 00:05:44 +0200
Subject: [PATCH] ARM support patch

Signed-off-by: Jitesh Shah <jiteshs@marvell.com>
---
 mesa-arm-support.patch |   12 ++++++++++++
 mesa.spec              |    8 +++++++-
 2 files changed, 19 insertions(+), 1 deletions(-)
 create mode 100644 mesa-arm-support.patch

diff --git a/mesa-arm-support.patch b/mesa-arm-support.patch
new file mode 100644
index 0000000..6fe5841
--- /dev/null
+++ b/mesa-arm-support.patch
@@ -0,0 +1,12 @@
+diff -dur mesa-20090428.backup/src/mesa/drivers/dri/sis/sis_context.h mesa-20090428/src/mesa/drivers/dri/sis/sis_context.h
+--- mesa-20090428.backup/src/mesa/drivers/dri/sis/sis_context.h	2009-04-27 14:11:24.000000000 -0400
++++ mesa-20090428/src/mesa/drivers/dri/sis/sis_context.h	2009-07-15 13:41:18.000000000 -0400
+@@ -400,7 +400,7 @@
+ #define MMIO_READ(reg) *(volatile GLint *)(smesa->IOBase + (reg))
+ #define MMIO_READf(reg) *(volatile GLfloat *)(smesa->IOBase + (reg))
+ 
+-#if defined(__i386__) || defined(__x86_64__)
++#if defined(__i386__) || defined(__x86_64__) || defined(__ARM__) || defined(__arm__)
+ #define MMIO_WMB()	__asm __volatile("" : : : "memory")
+ #elif defined(__ia64__)
+ #define MMIO_WMB()	__asm __volatile("mf" : : : "memory")
diff --git a/mesa.spec b/mesa.spec
index 604c258..60fd685 100644
--- a/mesa.spec
+++ b/mesa.spec
@@ -20,7 +20,7 @@
 Summary: Mesa graphics libraries
 Name: mesa
 Version: 7.5
-Release: 0.14%{?dist}
+Release: 0.14%{?dist}.fa2
 License: MIT
 Group: System Environment/Libraries
 URL: http://www.mesa3d.org
@@ -50,6 +50,8 @@ Patch13: mesa-7.5-sparc64.patch
 
 Patch15: radeon-rewrite-emit1clip.patch
 
+Patch20: mesa-arm-support.patch
+
 BuildRequires: pkgconfig autoconf automake
 %if %{with_dri}
 BuildRequires: libdrm-devel >= 2.4.5-1
@@ -178,6 +180,7 @@ This package provides some demo applications for testing Mesa.
 %patch12 -p1 -b .intel-nowarn
 %patch13 -p1 -b .sparc64
 %patch15 -p1 -b .fix-clip
+%patch20 -p1 -b .arm
 
 # Hack the demos to use installed data files
 sed -i 's,../images,%{_libdir}/mesa-demos-data,' progs/demos/*.c
@@ -432,6 +435,9 @@ rm -rf $RPM_BUILD_ROOT
 %{_libdir}/mesa-demos-data
 
 %changelog
+* Thu Jul 16 2009 Jitesh Shah <jiteshs@marvell.com> 7.5-0.14.fa2
+- ARM support patch
+
 * Tue May 05 2009 Dave Airlie <airlied@redhat.com> 7.5-0.14
 - radeon-rewrite.patch: fixes from upstream for rs690 + r200
 
-- 
1.5.5.6

